lib.sh: Provide error message where none is given

Signed-off-by: Leah Rowe <leah@libreboot.org>
This commit is contained in:
Leah Rowe
2025-05-04 16:53:02 +01:00
parent 35265731c5
commit 20c8730858
+1
View File
@@ -196,6 +196,7 @@ err()
err_()
{
[ $# -lt 1 ] && printf "ERROR (but no error message provided)\n" 1>&2
[ $# -lt 1 ] || printf "ERROR %s: %s\n" "$0" "$1" 1>&2 || :
exit 1
}